textures/sinni/constfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 1
	fogparms ( .8 .8 .8 ) 32
}
textures/sinni/invisible2 // nonsolid, transparent polygons, casts shadows
{
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid	
	surfaceparm structural		
        {
                map textures/common/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
textures/sinni/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm noimpact


}
textures/sinni/fish1
{
	qer_editorimage textures/sinni/fish01.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	{
		map textures/sinni/fish01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/sinni/fish2
{
	qer_editorimage textures/sinni/fish02.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	{
		map textures/sinni/fish02.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/sinni/fish3
{
	qer_editorimage textures/sinni/fish03.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	{
		map textures/sinni/fish03.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/sinni/fish4
{
	qer_editorimage textures/sinni/fish04.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 3 0 .2	
	{
		map textures/sinni/fish04.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/sinni/sanc_sky
{
	qer_editorimage textures/sweetnutz/sn_casa_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 200
	skyparms env/casa/tropday 256 -

}
textures/sinni2/sanc_sky
{
	qer_editorimage textures/sinni/sanc_sky.tga
	q3map_lightimage textures/sinni/sanc_sky.tga
	q3map_lightsubdivide 512
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.9411 0.8549 0.6706 200 75 80
	skyparms env/casa2/dd_casa_sky - -

}
textures/sinni/waterfall
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
		
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll .5 -2
	}

	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .5 -2
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .5 -2
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}
textures/sinni/waterfall2
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
      surfaceparm trans	
      surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm water
	cull none
	{
		map textures/liquids/pool3d_3.tga
                tcMod Scroll .5 -2.5
                blendFunc GL_ONE GL_ONE
        }
}
textures/Sinni/red-barrelq32
{
	surfaceparm	metalsteps
	surfaceparm nolightmap
	surfaceparm nodamage
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/Sinni/red-barrelq32.tga
		rgbGen vertex
	}
}
textures/Sinni/blue-barrelq32
{
	surfaceparm	metalsteps
	surfaceparm nolightmap
	surfaceparm nodamage
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/Sinni/blue-barrelq32.tga
		rgbGen vertex
	}
}
textures/realworld_light/Flourescent_100
{
	qer_trans 0.70
	qer_nocarve
	qer_editorimage textures/realworld_light/lightflo.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	

	q3map_surfacelight 500
	q3map_lightimage textures/realworld_light/flouresc.tga
}

textures/sinni/sancctfbanner1
{      
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 .8
	deformVertexes normal .3 .2
	cull none
        
	{
		map textures/sinni/sancctfbanner1.tga
		rgbGen identity
	}
	
	{
		map textures/sinni/sancctfbanner1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/sinni/sancctfbanner2
{      
	deformVertexes wave 100 sin 4 3 0 0.3
	deformVertexes wave 30 sin 0 3 0 .8
	deformVertexes normal .3 .2
	cull none
        
	{
		map textures/sinni/sancctfbanner2.tga
		rgbGen identity
	}
	
	{
		map textures/sinni/sancctfbanner2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
		map textures/sfx/shadow.tga
		tcGen environment 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
